Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.account.management
Interface ApplicationInstanceMBean

public interface ApplicationInstanceMBean

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Method Summary
`void` | `addApplicationInstance(String applicationInstanceName, String password, String applicationIdentifier, String serviceProviderIdentifier, String reference)` Add an application instance.
`int` | `countApplicationInstances(String applicationIdentifier, String serviceProviderIdentifier, String state)` Count application instances.
`ApplicationInstanceDescription` | `getApplicationInstance(String applicationInstanceName)` Get application instance description.
`String[]` | `listApplicationInstances(String applicationIdentifier, String serviceProviderIdentifier, String state, int offset, int size)` List application instances.
`void` | `removeApplicationInstance(String applicationInstanceName)` Remove an application instance.
`void` | `setApplicationInstancePassword(String applicationInstanceName, String password)` Set application instance password.
`void` | `setApplicationInstanceProperties(String applicationInstanceName, Set properties)` Set application instance properties.
`void` | `setApplicationInstanceReference(String applicationInstanceName, String reference)` Set application instance reference.
`void` | `setApplicationInstanceState(String applicationInstanceName, String state)` Set application instance state.

Method Detail

### addApplicationInstance

    public void addApplicationInstance(String applicationInstanceName,
                                       String password,
                                       String applicationIdentifier,
                                       String serviceProviderIdentifier,
                                       String reference)
                                throws DuplicateKeyException,
                                       KeyNotFoundException

  Add an application instance.

  Parameters:
    `applicationInstanceName` - The application instance name.
    `password` - The password.
    `applicationIdentifier` - The application account.
    `serviceProviderIdentifier` - The service provider account.
    `reference` - An alias reference ID for this application instance.
  Throws:
    `com.bea.wlcp.wlng.api.management.DuplicateKeyException` - If the account already exists.
    `com.bea.wlcp.wlng.api.management.KeyNotFoundException` - If no such account exists.
    `DuplicateKeyException`
    `KeyNotFoundException`

### countApplicationInstances

    public int countApplicationInstances(String applicationIdentifier,
                                         String serviceProviderIdentifier,
                                         String state)
                                  throws KeyNotFoundException

  Count application instances.

  Parameters:
    `applicationIdentifier` - The application (optional).
    `serviceProviderIdentifier` - The service provider (optional).
    `state` - The state (ACTIVATED or DEACTIVATED) (optional).
  Returns:
    The count of application instances matching specified filter.
  Throws:
    `com.bea.wlcp.wlng.api.management.KeyNotFoundException` - If no such account exists.
    `KeyNotFoundException`

### getApplicationInstance

    public ApplicationInstanceDescription getApplicationInstance(String applicationInstanceName)

  Get application instance description.

  Parameters:
    `applicationInstanceName` - The application instance name.
  Returns:
    The application instance description or null if the application instance didn't exist.

### listApplicationInstances

    public String[] listApplicationInstances(String applicationIdentifier,
                                             String serviceProviderIdentifier,
                                             String state,
                                             int offset,
                                             int size)
                                      throws KeyNotFoundException

  List application instances.

  Parameters:
    `applicationIdentifier` - The application identifier (optional).
    `serviceProviderIdentifier` - The service provider (optional).
    `state` - The state (ACTIVATED or DEACTIVATED) (optional).
    `offset` - Offset in complete resultset. Must be >= 0.
    `size` - Number of entries to return. 0 means no limit.
  Returns:
    The application instances matching the specified filter.
  Throws:
    `com.bea.wlcp.wlng.api.management.KeyNotFoundException` - If no such account exists.
    `KeyNotFoundException`

### removeApplicationInstance

    public void removeApplicationInstance(String applicationInstanceName)
                                   throws ManagementException

  Remove an application instance.

  Parameters:
    `applicationInstanceName` - the application instance.
  Throws:
    `com.bea.wlcp.wlng.api.management.ManagementException` - If the application instance is not in deactivated state.
    `ManagementException`

### setApplicationInstancePassword

    public void setApplicationInstancePassword(String applicationInstanceName,
                                               String password)
                                        throws KeyNotFoundException

  Set application instance password.

  Parameters:
    `applicationInstanceName` - The application instance to update.
    `password` - The new password.
  Throws:
    `com.bea.wlcp.wlng.api.management.KeyNotFoundException` - If the application instance does not exist.
    `KeyNotFoundException`

### setApplicationInstanceProperties

    public void setApplicationInstanceProperties(String applicationInstanceName,
                                                 Set properties)
                                          throws KeyNotFoundException

  Set application instance properties.

  Parameters:
    `applicationInstanceName` - The application instance to update.
    `properties` - The new properties. A set with Map.Entry.
  Throws:
    `com.bea.wlcp.wlng.api.management.KeyNotFoundException` - If the application instance does not exist.
    `KeyNotFoundException`

### setApplicationInstanceReference

    public void setApplicationInstanceReference(String applicationInstanceName,
                                                String reference)
                                         throws KeyNotFoundException

  Set application instance reference.

  Parameters:
    `applicationInstanceName` - The application instance to update.
    `reference` - The new reference.
  Throws:
    `com.bea.wlcp.wlng.api.management.KeyNotFoundException` - If the application instance does not exist.
    `KeyNotFoundException`

### setApplicationInstanceState

    public void setApplicationInstanceState(String applicationInstanceName,
                                            String state)
                                     throws KeyNotFoundException,
                                            ManagementException

  Set application instance state.

  Parameters:
    `applicationInstanceName` - The application instance to update.
    `state` - The new state (ACTIVATED or DEACTIVATED).
  Throws:
    `com.bea.wlcp.wlng.api.management.KeyNotFoundException` - If the application instance does not exist.
    `com.bea.wlcp.wlng.api.management.ManagementException` - If a parameter was invalid.
    `KeyNotFoundException`
    `ManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD